<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <meta property="og:title" content="RealTalk" />
        <!--<meta property="og:image" content="https://fcs.skt-ptt.co.kr/mcs/p/service_img_market_new.png"/>-->
        <meta property="og:description" content="리얼톡 무전방에 초대합니다."/>
        <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
        <title>RealTalk</title>
        <!--<link rel="shortcut icon" href="../../../../../../../test/new/src/main/webapp/web_resources/p/favicon.ico" />-->
        <style type="text/css">
            .testButton button {
                display: inline-block;
                font-size: 40px;
                width: 100%;
                height: 100px;
            }
            .testButton a {
                text-decoration: none;
            }
        </style>
        <script src="./jquery-1.9.1.min.js"></script>
        <script type="text/javascript">

          window.onload = function () {
            function getArgs(queryString) {
              var args = {};
              var a = '';

              var prop;
              var val;
              var arg;

              try {
                if(queryString === undefined) {
                  a = window.location.search.split('?')[1].split('&');
                } else {
                  a = queryString.split('?')[1].split('#')[0].split('&');
                }
                for (prop in a) {
                  if (a.hasOwnProperty(prop)) {
                    console.log("prop: " + prop + " value: " + a[prop]);
                    val = a[prop];
                    arg = val.split('=');
                    args[arg[0]] = arg[1];
                  }
                }
              } catch (e) {
                console.log('Error getArgs window.location.search('+window.location.search+')');
              }

              console.log(JSON.stringify(args));
              return args;
            }

            function getAppLink() {
              var referrerData = args.referrer;
              var o = {};
              o.protocol = "sktptt";
              o.host = "sktptt.com";
              o.package = 'com.skt.ptt';
              /*
              o.protocol = "sktfamily";
              o.host = "invite";
              o.package = 'com.skt.family';
              */
              /*
              var fallback = 'S.browser_fallback_url=' + encodeURIComponent('https://play.google.com/store/apps/details?id=com.ti2.ringding&referrer=' + referrerData);
              */

              /*var fallback = 'S.browser_fallback_url=' + encodeURIComponent('https://play.google.com/store/apps/details?id=com.skt.ptt');*/
                var fallback = 'S.browser_fallback_url=' + encodeURIComponent('http://114.202.2.14:9090/realtalk/realtalk_btoc_qa_ver1.apk');
              /*
              o.appLink = '#Intent;scheme=' + o.protocol + ';action=android.intent.action.VIEW;category=android.intent.category.BROWSABLE;package=com.skt.ptt;'+ fallback +';end';
              o.appLink = '#Intent;scheme=' + o.protocol + ';action=android.intent.action.VIEW;category=android.intent.category.BROWSABLE;package='+o.package+';'+fallback+';end';
              */
              o.appLink = '#Intent;scheme=' + o.protocol + ';action=android.intent.action.VIEW;category=android.intent.category.BROWSABLE;package='+o.package+';end';
              o.param = args.referrer;
              return 'http://114.202.2.14:9090/realtalk/realtalk_btoc_qa_ver1.apk';
            }

            function getWebLink() {
              var referrerData = args.referrer;
              return "market://details?id=com.skt.ptt&referrer=" + referrerData;
              /*
              return "market://details?id=com.ti2.ringding&referrer=" + referrerData;
              return 'https://play.google.com/store/apps/details?id=com.ti2.ringding&referrer=' + referrerData;
              return "market://details?id=com.skt.ptt&referrer=" + referrerData;
              */
            }

            function getIOSAppLink() {
                var url = '';
                var referrerData = args.referrer;
                /*
                url = "navermaps://?referrer=" + referrerData;
                */
                url = "http://114.202.2.14:9090/realtalk/realtalk_btoc_qa_ver1.apk;
                return url;
            }

            function getIOSTempLink() {
                var url = '';
                url = "./d.html";
                return url;
            }

            function getIOSWebLink() {
                var url = '';
                /*
                url = "http://itunes.apple.com/app/id311867728?mt=8";
                url = "https://itunes.apple.com/kr/app/id958489415?mt=8";
                url = "https://itunes.apple.com/us/app/okitoki-jeonmunga-sujun-ui/id1076478675?l=ko&ls=1&mt=8";
                */
                url = "https://itunes.apple.com/kr/app/okitoki-jeonmunga-sujun-ui/";
                return url;
            }

            function getIOSMajorVersion() {
                if (/iP(hone|od|ad)/.test(navigator.userAgent)) {
                    var a = (navigator.appVersion).match(/OS (\d+)_(\d+)_?(\d+)?/);
                    return parseInt(a[1], 10)
                }
            }

            function isSafari() {
                var r = false;
                if (navigator.userAgent.indexOf('Safari') != -1 && navigator.userAgent.indexOf('Chrome') == -1 && navigator.userAgent.indexOf('Android') == -1) {
                    r = true;
                    console.log('Its Safari');
                }
                return r;
            }

            function iOS() {
                var iDevices = [
                    'iPad Simulator',
                    'iPhone Simulator',
                    'iPod Simulator',
                    'iPad',
                    'iPhone',
                    'iPod'
                        ];

                while (iDevices.length) {
                    if (navigator.platform === iDevices.pop()){
                        console.log('Its iOS');
                        return true;
                    }
                }

                return false;
            }

            function jump() {
              console.log(navigator.userAgent);
              var scheme;
              var fallbackLink;
              console.log('jump');

              if(isSafari() || iOS()) {
                  /*
                  location.href = getIOSTempLink();
                  return;
                  */

                  try {
                      location.href = getIOSAppLink();
                  } catch (f) {
                      location.href = getIOSWebLink();
                  }

                  var clickedAt = +new Date;
                  setTimeout(function() {
                      if (+new Date - clickedAt < 3000) {
                        location.href = getIOSWebLink();
                      }
                  }, 1500);
                  return;
              }

              scheme = getAppLink();
              fallbackLink = getWebLink();
              console.log("scheme: " + scheme);
              console.log('fallbackLink: ' + fallbackLink);

              console.log('force ' + args.force);
              if(args.force) {
                try {
                    location.href = scheme;
                } catch (e) {
                    console.log('fallbackLink catch');
                    window.location.replace(fallbackLink);
                }
              } else {
                try {
                    var f;
                    f = document.createElement("iframe");
                    f.style.border = "none";
                    f.style.width = "0px";
                    f.style.height = "0px";
                    f.src = scheme;
                    document.body.appendChild(f);
                } catch (e) {
                    console.log('fallbackLink catch');
                    window.location.replace(fallbackLink);
                }

                var startDate = new Date();
                window.setTimeout(function (){
                    if((new Date() - startDate) < 3000) {
                    console.log('fallbackLink timeout');
                    window.location.replace(fallbackLink);
                    } else {
                    console.log('fallbackLink exception');
                    }
                }, 1500);
              }
            }

            window.jump = jump;

            function sendEvent(sid, snsType) {
                console.log(sid + ' ' + snsType);

                var type;
                if(snsType) {
                    type = snsType + "";
                } else {
                    type = "6";
                }

                console.log(sid + ' ' + snsType);
                var msg = '';
                var url = '/mcs/sns?random=' + (new Date()).getTime();
                $.ajax({
                    type: "get",
                    dataType: "json",
                    beforeSend : function(xhr){
                        xhr.setRequestHeader("TN-SID", sid);
                        xhr.setRequestHeader("TN-SNS-TYPE", type + "");
                    },
                    url: url,
                    cache: false,
                    success: function(data) {
                        console.log(JSON.stringify(data));
                    },
                    error: function(xhr, status, err) {
                        console.log('xhr: ' + xhr);
                        console.log('xhr: ' + JSON.stringify(xhr));
                        console.log('err: ' + err);
                        /* v3.1 */
                        switch (xhr.status) {
                        case 200: msg = 'OK (성공)'; break;
                        case 400: msg = 'Bad Request (입력 파라미터 부족 또는 잘못 된 값인 경우)'; break;
                        case 500: msg = 'Internal Server Error'; break;
                        default: msg = 'Internal Server Error (' + xhr.status  + ')'; break;
                        }
                        console.log('msg: ' + msg);
                    }
                });
            }

            var args = getArgs();
            if(args.referrer) {
              console.log(args.referrer);
            } else {
              console.log("no referrer");
            }

            console.log('button ' + args.button);
            if(args.button) {
                var b = document.getElementById('appLinkButton');
                b.style.display = "block";
            } else {
                if(args.referrer) {
                    try {
                        var d = decodeURIComponent(args.referrer);
                        d = getArgs('?'+ d);
                        sendEvent(d.sid, d.sns);
                    } catch (e) {
                        console.log(e.message);
                        console.log("Can't decode args.referrer");
                    }
                } else {
                    console.log("args.referrer is empty");
                }
                window.jump();
            }

          }; /* window.onload */
        </script>
    </head>
    <body>
        <div style="display: none" id="appLinkButton" class="testButton" >
            <button id="myCheck" onclick="window.jump()">앱 호출</button>
            <a href="intent://invite?referrer=apple#Intent;scheme=sktfamily;action=android.intent.action.VIEW;category=android.intent.category.BROWSABLE;package=com.skt.family;end">패밀리 호출</a> <br />
            <a href="intent://sktptt.com?referrer=apple#Intent;scheme=sktptt;action=android.intent.action.VIEW;category=android.intent.category.BROWSABLE;package=com.skt.ptt;end">무전기 호출</a> <br />
            <a href="sktfamily://invite">custom 패밀리 호출</a> <br />
            <a href="sktptt://sktptt.com">custom 무전기 호출</a> <br />
        </div>
    </body>
</html>
